#! /bin/bash
# Last edited on 2017-04-13 03:12:59 by stolfilocal

pname="$1"; shift # Dataset name.

gnuplot <<EOF
  set term postscript eps enhanced dashed monochrome "Courier" 30 dashlength 4.0 linewidth 2.0 size 6.0,5.0
  set pointsize 1.5
  set output "plot-time-${pname}.eps" 
  set title "${pname}" offset 0,-2.25
  set key left reverse Left samplen 3.0 
  set xtics ( "64x64" (64), "128x128" (128), "256x256" (256), "512x512" (512), "1024x1024" (1024), "2048x2048" (2048) )
  set logscale y
  set logscale x
  xmin = 256
  xmax = 2048
  set xrange [xmin/1.3:xmax*1.3]
  set yrange [0.1/1.015:1000.0*1.05]
  flin(x) = ((x < xmin/1.2) || (x > xmax*1.2) ? 0/0 : 0.000002*(x*x)**1.0)
  fses(x) = ((x < xmin/1.2) || (x > xmax*1.2) ? 0/0 : 0.0000001*(x*x)**1.5)
plot \
  "teste-AT-${pname}.txt" using (sqrt(column(1))):2 title "AT" with linespoints pt 4 lt 3 , \
  "teste-AM-${pname}.txt" using (sqrt(column(1))):2 title "AM" with linespoints pt 5 lt 3 , \
  "teste-DT-${pname}.txt" using (sqrt(column(1))):2 title "DT" with linespoints pt 6 lt 3 , \
  (0/0) title "   " with points ps 0, \
  "teste-DL-${pname}.txt" using (sqrt(column(1))):2 title "DL" with linespoints pt 7 lt 2 , \
  "teste-MS-${pname}.txt" using (sqrt(column(1))):2 title "MS" with linespoints pt 8 lt 2 , \
  "teste-MG-${pname}.txt" using (sqrt(column(1))):2 title "MG" with linespoints pt 3 lt 2 , \
  (0/0) title "   " with points ps 0, \
  (fses(x)) title "N\^{1.5}" lt 3, \
  (flin(x)) title "N" lt 2
  quit
EOF
