  #set term postscript eps enhanced dashed monochrome "TimesRoman" 24     dashlength 2.0 linewidth 2.0     size 4.0,2.5 
  set pointsize 1.5
  set size 2,2
  #set output "plot-time-spdome_su.eps" 
  set xrange [0:3000]
  set yrange [0.001/1.015:1000.0*1.05]
  set title "spdome (sec)" offset 0,-2.25
  set key left reverse Left samplen 1.5
  #set xtics (     "32x32" (32*32),     "64x64" (64*64),     "128x128" (128*128),     "256x256" (256*256),     "512x512" (512*512), "1024x1024" (1024*1024), "2048x2048" (2048*2048)   )
  set xtics (          "64" (64),     "128" (128),     "256" (256),     "512" (512), "1024" (1024), "2048" (2048)   )
  #set logscale y
  #set logscale x
  set fit errorvariables
  FIT_LIMIT=1.e-14
  p_AF = 1
  p_ME = 1
  p_DT = 1
  p_DL = 1
  p_MS = 1
  p_MG = 1
  f_AF(x) = a_AF*x**p_AF
  f_ME(x) = a_ME*x**p_ME
  f_DT(x) = a_DT*x**p_DT
  f_DL(x) = a_DL*x**p_DL
  f_MS(x) = a_MS*x**p_MS
  f_MG(x) = a_MG*x**p_MG
  fit f_AF(x) "teste-AF-rafa.txt"   using (sqrt(column(1))):2 via a_AF,p_AF
  fit f_ME(x) "teste-ME-rafa.txt"   using (sqrt(column(1))):2 via a_ME,p_ME
  fit f_DT(x) "teste-RWLS-rafa.txt" using (sqrt(column(1))):2 via a_DT,p_DT
  fit f_DL(x) "teste-SB-rafa.txt"   using (sqrt(column(1))):2 via a_DL,p_DL  
  fit f_MS(x) "teste-MS-rafa.txt"   using (sqrt(column(1))):2 via a_MS,p_MS
  fit f_MG(x) "teste-MG-rafa.txt"   using (sqrt(column(1))):2 via a_MG,p_MG
  set xrange [32:2100]
  set yrange [0.001:400]
plot \
  f_AF(x)  notitle  linetype  3 , \
  "teste-AF-rafa.txt"   using (sqrt(column(1))):2 title "AT" with points pt 4 , \
  f_ME(x) notitle  linetype  3, \
  "teste-ME-rafa.txt"   using (sqrt(column(1))):2 title "ME" with points pt 5 , \
  f_DT(x) notitle  linetype  3 , \
  "teste-RWLS-rafa.txt" using (sqrt(column(1))):2 title "DT" with points pt 6 , \
  f_DL(x) notitle  lt 1, \
  "teste-SB-rafa.txt"   using (sqrt(column(1))):2 title "DL" with points pt 7 , \
  f_MS(x) notitle  lt 1, \
  "teste-MS-rafa.txt"   using (sqrt(column(1))):2 title "MS" with points pt 8 , \
  f_MG(x) notitle  lt 1, \
  "teste-MG-rafa.txt"   using (sqrt(column(1))):2 title "MG" with points pt 9  
#quit