  #set term postscript eps enhanced dashed monochrome "TimesRoman" 24     dashlength 2.0 linewidth 2.0     size 4.0,2.5 
  set pointsize 1.5
  #set size 1.5,1.5
  #set output "plot-time-spdome-s.eps" 
  set xrange [0:3000]
  set yrange [0.001/1.015:1000.0*1.05]
  set title "spdome (sec)" offset 0,-2.25
  set key left reverse Left samplen 1.5
  #set xtics (     "32x32" (32*32),     "64x64" (64*64),     "128x128" (128*128),     "256x256" (256*256),     "512x512" (512*512), "1024x1024" (1024*1024), "2048x2048" (2048*2048)   )
  set xtics (          "64" (64),     "128" (128),     "256" (256),     "512" (512), "1024" (1024), "2048" (2048)   )
  #set logscale y
  #set logscale x
  set fit errorvariables
  FIT_LIMIT=1.e-14
  p_cho = 3
  p_lin = 2
  f_AF(x) = a_AF*x**p_cho
  f_ME(x) = a_ME*x**p_cho
  f_DT(x) = a_DT*x**p_cho
  f_DL(x) = a_DL*x**p_lin
  f_MS(x) = a_MS*x**p_lin
  f_MG(x) = a_MG*x**p_lin
  fit f_AF(x) "teste-AF-bola_x.txt"   using (sqrt(column(1))):2 via a_AF
  fit f_ME(x) "teste-ME-bola_x.txt"   using (sqrt(column(1))):2 via a_ME
  fit f_DT(x) "teste-RWLS-bola_x.txt" using (sqrt(column(1))):2 via a_DT
  fit f_DL(x) "teste-SB-bola_x.txt"   using (sqrt(column(1))):2 via a_DL  
  fit f_MS(x) "teste-MS-bola_x.txt"   using (sqrt(column(1))):2 via a_MS
  fit f_MG(x) "teste-MG-bola_x.txt"   using (sqrt(column(1))):2 via a_MG
  set xrange [32:2100]
  set yrange [-10:400]
plot \
  f_AF(x)  notitle  linetype  3 , \
  "teste-AF-bola_x.txt"   using (sqrt(column(1))):2 title "AT" with points pt 4 , \
  f_ME(x) notitle  linetype  3, \
  "teste-ME-bola_x.txt"   using (sqrt(column(1))):2 title "AM" with points pt 5 , \
  f_DT(x) notitle  linetype  3 , \
  "teste-RWLS-bola_x.txt" using (sqrt(column(1))):2 title "DT" with points pt 6 , \
  f_DL(x) notitle  lt 1, \
  "teste-SB-bola_x.txt"   using (sqrt(column(1))):2 title "DL" with points pt 7 , \
  f_MS(x) notitle  lt 1, \
  "teste-MS-bola_x.txt"   using (sqrt(column(1))):2 title "MS" with points pt 8 , \
  f_MG(x) notitle  lt 1, \
  "teste-MG-bola_x.txt"   using (sqrt(column(1))):2 title "MG" with points pt 9  
quit